<?php

   /**
   *   create_business/index.php
   *
   *  This file is used to handle the shopping cart REST create_business command as described in the HW3 spec.
   *    
   *   @author Chris Pollett
   *   @version 2007-11-07
   *   @uses common_scripts/index.php 
   *   @package shopping_cart
   * 
   */
   /**
    * The $CREATE_BUSINESS global variable is used to prevent the businessExists()
    * check in common_scripts/index.php causing this create_business/index.php to fail 
    */
   $CREATE_BUSINESS = true;  
   
   require_once "../common_scripts/index.php";


   $CHECK_STRING = $_GET['checkString'];
      
   $secret =  getSecretString();
   
   $date = date("Y-m-d");
   
   if(!$secret || $CHECK_STRING != md5($BUSINESS_ID.$secret.$date) )
   {
      response(makeMessage("Error: Invalid checkString."));
   }
   else if(businessExists())
   {
      response(makeMessage("Error: Business already exists."));   
   }
   else
   {
      mkdir("$BUSINESSES_DIR/$BUSINESS_ID");
      
      response(makeMessage("Success: Business Created."));
   } 
   
   /**
    * This function is used to get the secret string for the GET'd businessID.
    * It is used to make sure the business has legitimately satisfied the
    * prerequisites to get an account. Right now, there are no prereq's but these
    * could be added. Similarly the secret string right now is the same for all businesses
    * in a more realistic setting the string could be randomly generated for each business.
    *
    */
   function getSecretString()
   {
       global $BUSINESSES_DIR;
        
       return file_get_contents("$BUSINESSES_DIR/create_secret.txt");
   }  
   
?>