<?php

  /**
   *   delete/index.php
   *
   *  This file is used to handle the shopping cart REST delete_business command as described in the HW3 spec.
   *    
   *   @author Chris Pollett
   *   @version 2007-11-07
   *   @uses common_scripts/index.php    
   *   @package shopping_cart
   * 
   */
   
  $BASE_URL="..";
  
  require_once "$BASE_URL/common_scripts/index.php";
  
   $CHECK_STRING = $_GET['checkString'];
      
   $secret =  getSecretString();
   
   $date = date("Y-m-d");
   
   if(!$secret || $CHECK_STRING != md5($BUSINESS_ID.$secret.$date) )
   {
      response(makeMessage("Error: Invalid checkString."));
   }
   else
   {
    
      $businessDir = "$BUSINESSES_DIR/$BUSINESS_ID";

      foreach (glob("$businessDir/*") as $filename) 
      {
         unlink($filename);
      }      
      rmdir($businessDir);
      
      response(makeMessage("Success: Business deleted."));
   }

   /**
    * This function is used to get the secret string for the GET'd businessID.
    * It is used to make sure the business has legitimately satisfied the
    * prerequisites to delete their account. Right now, there are no prereq's but these
    * could be added. Similarly the secret string right now is the same for all businesses
    * in a more realistic setting the string could be randomly generated for each business.
    *
    */

   function getSecretString()
   {
       global $BUSINESSES_DIR;
    
       return file_get_contents("$BUSINESSES_DIR/delete_secret.txt");
   }  
?>