<?php
 /**
  *   test_businesses/index.php
  *
  *   This script is used to test the insert/delete/contents/clear functionality of the HW3 shopping cart application
  *  
  *   To use this script you need to fill out the businessID, customerID, and select the json/xml that you want to test with. Then click
  *   the action you want (Add to Cart/ Remove from Cart/ see Shopping Cart contents/ Clear cart). In the real
  *   world, the businessID and format would be fixed and the customerID would not need to be entered by the user.
  *   To use this program you will probably need to hit the back arrow after you get a response for the given
  *   action. In the real world this could be automated with AJAX.
  *    
  *   @author Chris Pollett
  *   @version 2007-11-07
  *   @package test_shopping_cart
  * 
  */
  
  /**
   * array of products that could be added to a shopping cart
   */
  $products = array(
    array("id" =>1234, "name" => "bananas", "description"=>"extra yummy", price => "$2" ),
    array("id" =>1111, "name" => "pineaaple", "description"=>"Straight from Hawaii", price => "$1" ),
    array("id" =>4444, "name" => "pickled herring", "description"=>"Packaged in brine", price => "$3" ),    
   );

?><!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"> 

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<title>CS174 Test Business</title>

<meta http-equiv="Content-Type" content="text/html;
        charset=iso-8859-1" />
<meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />
<meta name="Author" content="Christopher Pollett" />

<script type="text/javascript">

/*
   This function gets format, businessID, customerID from the one form that these are collected on (cartForm)
   to the particular form that is being used to send the REST query
*/
function getInfo(addCartForm)
{
   addCartForm.format.value=document.getElementById('format').value;
   addCartForm.businessID.value=document.getElementById('businessID').value;
   addCartForm.customerID.value=document.getElementById('customerID').value;
   
}
</script>

</head>
<body>
<h1>CS174 Test Business</h1>

<form  style="display:inline" method="get" action="../contents/" onsubmit="getInfo(this)" >
      <div style="display:inline" ><input type="submit" value="Shopping Cart" />  
       <input type="hidden" name="format" value=""/>       
       <input type="hidden" name="businessID" value=""/>    
       <input type="hidden" name="customerID" value=""/></div> 
 </form>
 <form   style="display:inline" method="get" action="../clear/" onsubmit="getInfo(this)" >
        <div style="display:inline" ><input type="submit" value="Clear Cart" />  
       <input type="hidden" name="format" value=""/>       
       <input type="hidden" name="businessID" value=""/>    
       <input type="hidden" name="customerID" value=""/> </div>
 </form>          
<form id="cartForm" method="get" action="." >
 <p><label for="format">Response Format:</label>
   <select id="format" name="format">
       <option>json</option>
       <option>xml</option>       
   </select>
</p>
<p><label for="businessID">Business ID:</label>
<input type="text"  id="businessID" name="businessID" size="5" maxlength="5" /></p>
<p><label for="customerID">Customer ID:</label>
<input type="text"  id="customerID" name="customerID" size="5" maxlength="5" /></p>
</form>

<?php
/*
   Prints out the different items that could be added to the shopping cart
*/
foreach($products as $product)
{?>
   <div style="border-width:1px; border-style:dashed; margin-bottom:10px; padding:5px;">
   <p>Item ID:  <?php echo $product['id']; ?>
   </p>
   <p>Name:  <?php echo $product['name']; ?>
    </p>
   <p>Description:  <?php echo $product['description']; ?>
   </p> 
   <p>Price:  <?php echo $product['price']; ?>
   </p>

   <form  style="display:inline" action=" ../insert/" onsubmit="getInfo(this)" > 
       <div style="display:inline" ><input type="hidden" name="format" value="" />       
       <input type="hidden" name="businessID" value="" />    
       <input type="hidden" name="customerID" value="" />   
       <input type="hidden" name="itemID" value="<?php echo $product['id']; ?>" />

       <input type="submit" value="Add to Cart" /></div>
   </form>
   <form  style="display:inline" action=" ../delete/" onsubmit="getInfo(this)" > 
       <div style="display:inline" ><input type="hidden" name="format" value="" />       
       <input type="hidden" name="businessID" value="" />    
       <input type="hidden" name="customerID" value="" />   
       <input type="hidden" name="itemID" value="<?php echo $product['id']; ?>" />

       <input type="submit" value="Remove from Cart" /></div>
   </form>      
       

   </div>
<?php 
}
?>

</body>
</html>